-- | ************************************************************ |
-- | * Adventurer's Food Supply by LordYig
-- | * Version : 1.0
-- | ************************************************************ |

-- *********************************
-- * VEGETABLES
-- *********************************

defineMaterial{
	name = "corn",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/corn_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/corn_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/corn_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "corn_w_leaf",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/corn_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/corn_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/corn_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

-- DOUBLE SIDED WITH ALPHA LAYER
defineMaterial{
	name = "corn_leaf",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/corn_leaf_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/corn_leaf_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/corn_leaf_spec.tga",
	doubleSided = true,
	lighting = true,
	alphaTest = true,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "carrot",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/carrot_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/carrot_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/carrot_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

-- DOUBLE SIDED WITH ALPHA LAYER
defineMaterial{
	name = "carrot_leaf",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/carrot_leaf_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/carrot_leaf_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/carrot_leaf_spec.tga",
	doubleSided = true,
	lighting = true,
	alphaTest = true,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

-- *********************************
-- * FRUITS
-- *********************************

defineMaterial{
	name = "lemon",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/lemon_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/lemon_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/lemon_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "orange",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/orange_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/orange_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/orange_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "apple_red",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/apple_red_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/apple_red_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/apple_red_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "apple_green",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/apple_green_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/apple_green_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/apple_green_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

-- *********************************
-- * FRUITS LEAVES
-- *********************************

defineMaterial{
	name = "fruit_leaf",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/fruit_leaf_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/fruit_leaf_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/fruit_leaf_spec.tga",
	doubleSided = true,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "lemon_leaf",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/lemon_leaf_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/lemon_leaf_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/lemon_leaf_spec.tga",
	doubleSided = true,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

-- *********************************
-- * CHEESE
-- *********************************

defineMaterial{
	name = "cheese_01",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/cheese_01_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/cheese_01_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/cheese_01_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "cheese_02",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/cheese_02_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/cheese_02_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/cheese_02_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "cheese_03",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/cheese_03_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/cheese_03_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/cheese_03_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

-- *********************************
-- * BREAD
-- *********************************

defineMaterial{
	name = "bread",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/bread_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/bread_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/bread_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "bread_slice",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/bread_slice_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/bread_slice_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/bread_slice_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}


defineMaterial{
	name = "bread_round",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/bread_round_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/bread_round_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/bread_round_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "bread_round_slice",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/bread_round_slice_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/bread_round_slice_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/bread_round_slice_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

-- *********************************
-- * MEAT
-- *********************************

defineMaterial{
	name = "bird_meat",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/bird_meat_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/bird_meat_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/bird_meat_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "shank",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/shank_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/shank_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/shank_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "shank_slice",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/shank_slice_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/shank_slice_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/shank_slice_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}


defineMaterial{
	name = "tbone_meat",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/tbone_meat_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/tbone_meat_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/tbone_meat_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "tbone",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/tbone_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/tbone_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/tbone_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "steak",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/steak_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/steak_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/steak_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

-- *********************************
-- * EGGS
-- *********************************

defineMaterial{
	name = "egg_white",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/egg_white.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/egg_white_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/egg_white_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "egg_brown",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/egg_brown.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/egg_brown_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/egg_brown_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "egg_medium",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/egg_spotted_01.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/egg_spotted_01_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/egg_spotted_01_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "egg_big",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/egg_spotted_02.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/egg_spotted_02_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/egg_spotted_02_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}

defineMaterial{
	name = "egg_huge",
	diffuseMap = "mod_assets/adventurers_food_supply/textures/items/food/egg_huge_diff.tga",
	normalMap = "mod_assets/adventurers_food_supply/textures/items/food/egg_huge_normal.tga",
	specularMap = "mod_assets/adventurers_food_supply/textures/items/food/egg_huge_spec.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 15,
	depthBias = 0,
}