
cloneObject{
	name = "ogre_dancing_idle",
	baseObject = "ogre",
	--model = "mod_assets/models/ogre_statue.fbx",
	model = "assets/models/monsters/tunnel_ogre.fbx",
	animations = {
		idle = "mod_assets/dancing_ogre/animations/ogre_dancing_idle.fbx",
		moveForward = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_walk.fbx",
		turnLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_turn_left.fbx",
		turnRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_turn_right.fbx",
		attack = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack.fbx",
		attack2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_stab.fbx",
		turnAttackLeft =  "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_left.fbx",
		turnAttackRight =  "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_right.fbx",
		getHitFrontLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_front_left_02.fbx",
		getHitFrontRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_front_right_02.fbx",
		getHitBack = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_back_02.fbx",
		getHitLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_left_02.fbx",
		getHitRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_right_02.fbx",
		fall = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_back_02.fbx",
		rushBegin = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_begin.fbx",
		rushContinue1 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_continue_right_step.fbx",
		rushContinue2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_continue_left_step.fbx",
		rushHit1 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_hit_right_step.fbx",
		rushHit2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_hit_left_step.fbx",
	},
	onDamage = function()
		return false
	end,
}

cloneObject{
	name = "ogre_dancing_left",
	baseObject = "ogre_dancing_idle",
	animations = {
		idle = "mod_assets/dancing_ogre/animations/ogre_dancing_left.fbx",
		moveForward = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_walk.fbx",
		turnLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_turn_left.fbx",
		turnRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_turn_right.fbx",
		attack = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack.fbx",
		attack2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_stab.fbx",
		turnAttackLeft =  "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_left.fbx",
		turnAttackRight =  "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_right.fbx",
		getHitFrontLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_front_left_02.fbx",
		getHitFrontRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_front_right_02.fbx",
		getHitBack = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_back_02.fbx",
		getHitLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_left_02.fbx",
		getHitRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_right_02.fbx",
		fall = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_back_02.fbx",
		rushBegin = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_begin.fbx",
		rushContinue1 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_continue_right_step.fbx",
		rushContinue2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_continue_left_step.fbx",
		rushHit1 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_hit_right_step.fbx",
		rushHit2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_hit_left_step.fbx",
	},
}

cloneObject{
	name = "ogre_dancing_left_2",
	baseObject = "ogre_dancing_idle",
	animations = {
		idle = "mod_assets/dancing_ogre/animations/ogre_dancing_left_02.fbx",
		moveForward = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_walk.fbx",
		turnLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_turn_left.fbx",
		turnRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_turn_right.fbx",
		attack = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack.fbx",
		attack2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_stab.fbx",
		turnAttackLeft =  "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_left.fbx",
		turnAttackRight =  "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_right.fbx",
		getHitFrontLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_front_left_02.fbx",
		getHitFrontRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_front_right_02.fbx",
		getHitBack = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_back_02.fbx",
		getHitLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_left_02.fbx",
		getHitRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_right_02.fbx",
		fall = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_back_02.fbx",
		rushBegin = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_begin.fbx",
		rushContinue1 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_continue_right_step.fbx",
		rushContinue2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_continue_left_step.fbx",
		rushHit1 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_hit_right_step.fbx",
		rushHit2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_hit_left_step.fbx",
	},
}

cloneObject{
	name = "ogre_dancing_right",
	baseObject = "ogre_dancing_idle",
	animations = {
		idle = "mod_assets/dancing_ogre/animations/ogre_dancing_right.fbx",
		moveForward = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_walk.fbx",
		turnLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_turn_left.fbx",
		turnRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_turn_right.fbx",
		attack = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack.fbx",
		attack2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_stab.fbx",
		turnAttackLeft =  "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_left.fbx",
		turnAttackRight =  "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_right.fbx",
		getHitFrontLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_front_left_02.fbx",
		getHitFrontRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_front_right_02.fbx",
		getHitBack = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_back_02.fbx",
		getHitLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_left_02.fbx",
		getHitRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_right_02.fbx",
		fall = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_back_02.fbx",
		rushBegin = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_begin.fbx",
		rushContinue1 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_continue_right_step.fbx",
		rushContinue2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_continue_left_step.fbx",
		rushHit1 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_hit_right_step.fbx",
		rushHit2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_hit_left_step.fbx",
	},
}

cloneObject{
	name = "ogre_dancing_right_2",
	baseObject = "ogre_dancing_idle",
	animations = {
		idle = "mod_assets/dancing_ogre/animations/ogre_dancing_right_02.fbx",
		moveForward = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_walk.fbx",
		turnLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_turn_left.fbx",
		turnRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_turn_right.fbx",
		attack = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack.fbx",
		attack2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_stab.fbx",
		turnAttackLeft =  "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_left.fbx",
		turnAttackRight =  "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_right.fbx",
		getHitFrontLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_front_left_02.fbx",
		getHitFrontRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_front_right_02.fbx",
		getHitBack = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_back_02.fbx",
		getHitLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_left_02.fbx",
		getHitRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_right_02.fbx",
		fall = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_back_02.fbx",
		rushBegin = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_begin.fbx",
		rushContinue1 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_continue_right_step.fbx",
		rushContinue2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_continue_left_step.fbx",
		rushHit1 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_hit_right_step.fbx",
		rushHit2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_hit_left_step.fbx",
	},
}

cloneObject{
	name = "ogre_dancing_back",
	baseObject = "ogre_dancing_idle",
	animations = {
		idle = "mod_assets/dancing_ogre/animations/ogre_dancing_back.fbx",
		moveForward = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_walk.fbx",
		turnLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_turn_left.fbx",
		turnRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_turn_right.fbx",
		attack = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack.fbx",
		attack2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_stab.fbx",
		turnAttackLeft =  "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_left.fbx",
		turnAttackRight =  "assets/animations/monsters/tunnel_ogre/tunnel_ogre_attack_right.fbx",
		getHitFrontLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_front_left_02.fbx",
		getHitFrontRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_front_right_02.fbx",
		getHitBack = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_back_02.fbx",
		getHitLeft = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_left_02.fbx",
		getHitRight = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_right_02.fbx",
		fall = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_get_hit_back_02.fbx",
		rushBegin = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_begin.fbx",
		rushContinue1 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_continue_right_step.fbx",
		rushContinue2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_continue_left_step.fbx",
		rushHit1 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_hit_right_step.fbx",
		rushHit2 = "assets/animations/monsters/tunnel_ogre/tunnel_ogre_rush_hit_left_step.fbx",
	},
}
