-- | ************************************************************ |
-- | * Adventurer's Food Supply by LordYig
-- | * Version : 1.0
-- | ************************************************************ |

-- *********************************
-- * BREAD
-- *********************************

defineObject{
	name = "itm_food_bread",
	class = "Item",
	uiName = "Bread",
	description = "Soft and white bread.",
	model = "mod_assets/adventurers_food_supply/models/items/food/bread.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 0,
	consumable = true,
	nutritionValue = 250,
	weight = 0.5,
}

defineObject{
	name = "itm_food_bread_round",
	class = "Item",
	uiName = "Bread",
	description = "Brown bread.",
	model = "mod_assets/adventurers_food_supply/models/items/food/bread_round.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 1,
	consumable = true,
	nutritionValue = 250,
	weight = 0.5,
}

-- *********************************
-- * CHEESE
-- *********************************

defineObject{
	name = "itm_food_cheese_big",
	class = "Item",
	uiName = "Cheese",
	description = "Nice taste.",
	model = "mod_assets/adventurers_food_supply/models/items/food/cheese_big.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 2,
	consumable = true,
	nutritionValue = 250,
	weight = 0.5,
}

defineObject{
	name = "itm_food_cheese_medium",
	class = "Item",
	uiName = "Cheese",
	description = "Smelly but yummy.",
	model = "mod_assets/adventurers_food_supply/models/items/food/cheese_medium.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 4,
	consumable = true,
	nutritionValue = 225,
	weight = 0.5,
}

defineObject{
	name = "itm_food_cheese_small",
	class = "Item",
	uiName = "Cheese",
	description = "Strong smell and taste.",
	model = "mod_assets/adventurers_food_supply/models/items/food/cheese_small.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 6,
	consumable = true,
	nutritionValue = 200,
	weight = 0.5,
}

defineObject{
	name = "itm_food_cheese_big_slice",
	class = "Item",
	uiName = "Cheese Slice",
	description = "A slice of cheese, nice taste.",
	model = "mod_assets/adventurers_food_supply/models/items/food/cheese_big_slice.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 3,
	consumable = true,
	nutritionValue = 150,
	weight = 0.5,
}

defineObject{
	name = "itm_food_cheese_medium_slice",
	class = "Item",
	uiName = "Cheese Slice",
	description = "A slice of cheese, smelly but yummy.",
	model = "mod_assets/adventurers_food_supply/models/items/food/cheese_medium_slice.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 5,
	consumable = true,
	nutritionValue = 125,
	weight = 0.5,
}

defineObject{
	name = "itm_food_cheese_small_slice",
	class = "Item",
	uiName = "Cheese Slice",
	description = "A slice of cheese, strong smell and taste.",
	model = "mod_assets/adventurers_food_supply/models/items/food/cheese_small_slice.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 7,
	consumable = true,
	nutritionValue = 100,
	weight = 0.5,
}



-- *********************************
-- * EGGS
-- *********************************

defineObject{
	name = "itm_food_egg_white",
	class = "Item",
	uiName = "Egg",
	description = "A white egg of some bird like creature, a chicken maybe.",
	model = "mod_assets/adventurers_food_supply/models/items/food/egg_white.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 8,
	consumable = true,
	nutritionValue = 100,
	weight = 0.5,
}

defineObject{
	name = "itm_food_egg_brown",
	class = "Item",
	uiName = "Egg",
	description = "A brown egg of some bird like creature, a chicken maybe.",
	model = "mod_assets/adventurers_food_supply/models/items/food/egg_brown.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 9,
	consumable = true,
	nutritionValue = 100,
	weight = 0.5,
}

defineObject{
	name = "itm_food_egg_medium",
	class = "Item",
	uiName = "Egg",
	description = "An above average size egg.",
	model = "mod_assets/adventurers_food_supply/models/items/food/egg_medium.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 10,
	consumable = true,
	nutritionValue = 125,
	weight = 0.5,
}

defineObject{
	name = "itm_food_egg_big",
	class = "Item",
	uiName = "Big Egg",
	description = "Wow ! That's a really big egg !",
	model = "mod_assets/adventurers_food_supply/models/items/food/egg_big.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 11,
	consumable = true,
	nutritionValue = 150,
	weight = 0.5,
}

defineObject{
	name = "itm_food_egg_huge",
	class = "Item",
	uiName = "Huge Egg",
	description = "What king of creature lay that kind of egg ?",
	model = "mod_assets/adventurers_food_supply/models/items/food/egg_huge.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 12,
	consumable = true,
	nutritionValue = 250,
	weight = 0.5,
}


-- *********************************
-- * FRUITS
-- *********************************

defineObject{
	name = "itm_food_fruit_apple_green",
	class = "Item",
	uiName = "Green Apple",
	description = "Sweet and juicy.",
	model = "mod_assets/adventurers_food_supply/models/items/food/fruit_apple_green.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 13,
	consumable = true,
	nutritionValue = 100,
	weight = 0.1,
}

defineObject{
	name = "itm_food_fruit_apple_red",
	class = "Item",
	uiName = "Red Apple",
	description = "Sweat and juicy.",
	model = "mod_assets/adventurers_food_supply/models/items/food/fruit_apple_red.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 14,
	consumable = true,
	nutritionValue = 100,
	weight = 0.1,
}

defineObject{
	name = "itm_food_fruit_orange",
	class = "Item",
	uiName = "Orange",
	description = "Sweat and juicy.",
	model = "mod_assets/adventurers_food_supply/models/items/food/fruit_orange.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 15,
	consumable = true,
	nutritionValue = 100,
	weight = 0.1,
}

defineObject{
	name = "itm_food_fruit_lemon",
	class = "Item",
	uiName = "Lemon",
	description = "Acidic but refreshing.",
	model = "mod_assets/adventurers_food_supply/models/items/food/fruit_lemon.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 16,
	consumable = true,
	nutritionValue = 100,
	weight = 0.1,
}


-- *********************************
-- * VEGETABLES
-- *********************************

defineObject{
	name = "itm_food_vegetable_corn",
	class = "Item",
	uiName = "Corn",
	description = "Put it over a torch.",
	model = "mod_assets/adventurers_food_supply/models/items/food/vegetable_corn.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 17,
	consumable = true,
	nutritionValue = 100,
	weight = 0.2,
}

defineObject{
	name = "itm_food_vegetable_corn_w_leaves",
	class = "Item",
	uiName = "Corn",
	description = "Put it over a torch.",
	model = "mod_assets/adventurers_food_supply/models/items/food/vegetable_corn_w_leaves.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 18,
	consumable = true,
	nutritionValue = 100,
	weight = 0.2,
}

defineObject{
	name = "itm_food_vegetable_carrot",
	class = "Item",
	uiName = "Carrot",
	description = "Orange and crunchy. Eat the leaves if you are really hungry.",
	model = "mod_assets/adventurers_food_supply/models/items/food/vegetable_carrot.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 19,
	consumable = true,
	nutritionValue = 100,
	weight = 0.1,
}
-- *********************************
-- * MEAT
-- *********************************


defineObject{
	name = "itm_food_meat_steak",
	class = "Item",
	uiName = "Steak",
	description = "Juicy meat with a bone.",
	model = "mod_assets/adventurers_food_supply/models/items/food/meat_steak.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 20,
	consumable = true,
	nutritionValue = 300,
	weight = 0.5,
}

defineObject{
	name = "itm_food_meat_tbone",
	class = "Item",
	uiName = "T-Bone Steak",
	description = "Juicy meat with a bone.",
	model = "mod_assets/adventurers_food_supply/models/items/food/meat_tbone.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 21,
	consumable = true,
	nutritionValue = 300,
	weight = 0.5,
}

defineObject{
	name = "itm_food_meat_shank",
	class = "Item",
	uiName = "Meat Shank",
	description = "Taste better when rosted.",
	model = "mod_assets/adventurers_food_supply/models/items/food/meat_shank.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 22,
	consumable = true,
	nutritionValue = 300,
	weight = 0.5,
}

defineObject{
	name = "itm_food_meat_bird",
	class = "Item",
	uiName = "Bird Meat",
	description = "The leg of some bidlike creature.",
	model = "mod_assets/adventurers_food_supply/models/items/food/meat_bird.fbx",
	gfxAtlas = "mod_assets/adventurers_food_supply/textures/gui/gui_icons_food.tga",
	gfxIndex = 23,
	consumable = true,
	nutritionValue = 300,
	weight = 0.5,
}

