-- "Deep Dungeon" is a modified copy of the "Dungeon" wall set from Legend of Grimrock
-- All original models, textures etc. used in this wall set are copyright (C) Almost Human Ltd.
-- All other content copyright (C) Daniv
-- For more details on using and redistributing these assets, please visit: http://www.grimrock.net/modding/modding-and-asset-usage-terms/

-- Version 1.0 created by Daniv
-- Last updated 20th December 2012






defineMaterial{
   name = "deep_dungeon_altar",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_altar_dif.tga",
   specularMap = "assets/textures/env/dungeon_altar_spec.tga",
   normalMap = "assets/textures/env/dungeon_altar_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 45,
   depthBias = 0,
   }




defineMaterial{
   name = "deep_dungeon_arch",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_arch_dif.tga",
   specularMap = "assets/textures/env/dungeon_arch_spec.tga",
   normalMap = "assets/textures/env/dungeon_arch_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }


defineMaterial{
   name = "deep_dungeon_broken_floor_panels",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_broken_floor_panel_dif.tga",
   specularMap = "assets/textures/env/broken_floor_panel_spec.tga",
   normalMap = "assets/textures/env/broken_floor_panel_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 45,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_button",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_button_dif.tga",
   specularMap = "assets/textures/props/dungeon_button_spec.tga",
   normalMap = "assets/textures/props/dungeon_button_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 60,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_ceiling",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_ceiling_dif.tga",
   specularMap = "assets/textures/env/dungeon_ceiling_spec.tga",
   normalMap = "assets/textures/env/dungeon_ceiling_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }





defineMaterial{
   name = "deep_dungeon_chain_metal_dark",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_chain_metal_dif.tga",
   specularMap = "assets/textures/env/chain_metal_spec.tga",
   normalMap = "assets/textures/env/chain_metal_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 90,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_daemon_head",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_daemon_head_dif.tga",
   specularMap = "assets/textures/env/daemon_head_spec.tga",
   normalMap = "assets/textures/env/daemon_head_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_door_lock",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_key_lock_dif.tga",
   specularMap = "assets/textures/props/dungeon_key_lock_spec.tga",
   normalMap = "assets/textures/props/dungeon_key_lock_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_dungeon_door_wooden",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_door_wooden_dif.tga",
   specularMap = "assets/textures/env/dungeon_arch_door_spec.tga",
   normalMap = "assets/textures/env/dungeon_arch_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_dragon_statue",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_dragon_statue_dif.tga",
   specularMap = "assets/textures/env/dragon_statue_spec.tga",
   normalMap = "assets/textures/env/dragon_statue_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 60,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_dungeon_dragon_statue_base",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_dragon_statue_base_dif.tga",
   specularMap = "assets/textures/env/dragon_statue_base_spec.tga",
   normalMap = "assets/textures/env/dragon_statue_base_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 60,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_floor_corpse",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_floor_corpse_dif.tga",
   specularMap = "assets/textures/props/floor_corpse_spec.tga",
   normalMap = "assets/textures/props/floor_corpse_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }




defineMaterial{
   name = "deep_dungeon_floor_stone_slabs",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_floor_dif.tga",
   specularMap = "assets/textures/env/dungeon_floor_spec.tga",
   normalMap = "assets/textures/env/dungeon_floor_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 45,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_gobelin",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_gobelin_dif.tga",
   specularMap = "assets/textures/env/dungeon_gobelin_spec.tga",
   normalMap = "assets/textures/env/dungeon_gobelin_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_goromorg_statue",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_goromorg_statue_dif.tga",
   specularMap = "assets/textures/env/goromorg_statue_spec.tga",
   normalMap = "assets/textures/env/goromorg_statue_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 25,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_dungeon_goromorg_statue_base",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_marble_generic_dif.tga",
   specularMap = "assets/textures/env/marble_generic_spec.tga",
   normalMap = "assets/textures/env/marble_generic_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_iron_door",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_iron_door_dif.tga",
   specularMap = "assets/textures/env/dungeon_iron_door_spec.tga",
   normalMap = "assets/textures/env/dungeon_iron_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_iron_portcullis",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_portcullis_dif.tga",
   specularMap = "assets/textures/env/dungeon_porticullis_spec.tga",
   normalMap = "assets/textures/env/dungeon_porticullis_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_lever_frame",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_lever_dif.tga",
   specularMap = "assets/textures/props/dungeon_lever_spec.tga",
   normalMap = "assets/textures/props/dungeon_lever_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }




defineMaterial{
   name = "deep_dungeon_metal_door",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_metal_door_dif.tga",
   specularMap = "assets/textures/env/metal_door_spec.tga",
   normalMap = "assets/textures/env/metal_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_dungeon_ornament_door",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_ornament_door_dif.tga",
   specularMap = "assets/textures/env/ornament_door_spec.tga",
   normalMap = "assets/textures/env/ornament_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_pillar",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_pillar_dif.tga",
   specularMap = "assets/textures/env/brick_pillar_spec.tga",
   normalMap = "assets/textures/env/brick_pillar_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_pressure_plate",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_pressure_plate_dif.tga",
   specularMap = "assets/textures/env/dungeon_presure_plate_spec.tga",
   normalMap = "assets/textures/env/dungeon_presure_plate_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_rock_wall_tile_light",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_rockwall_tile_light_dif.tga",
   specularMap = "assets/textures/env/rockwall_tile_spec.tga",
   normalMap = "assets/textures/env/rockwall_tile_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }






defineMaterial{
   name = "deep_dungeon_rubble",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_rubble_dif.tga",
   specularMap = "assets/textures/env/brick_rubble_spec.tga",
   normalMap = "assets/textures/env/brick_rubble_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }


defineMaterial{
   name = "deep_dungeon_secret_button_large",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_secret_button_large_dif.tga",
   specularMap = "assets/textures/env/secret_button_easy_spec.tga",
   normalMap = "assets/textures/env/secret_button_easy_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",

   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }


defineMaterial{
   name = "deep_dungeon_secret_button_small",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_secret_button_small_dif.tga",
   specularMap = "assets/textures/env/brickwall_secret_button_spec.tga",
   normalMap = "assets/textures/env/brickwall_secret_button_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }





defineMaterial{
   name = "deep_dungeon_spider_eggs",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_spider_eggs_dif.tga",
   specularMap = "assets/textures/props/spider_eggs_spec.tga",
   normalMap = "assets/textures/props/spider_eggs_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 50,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_spider_egg_ground",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_spider_egg_ground_dif.tga",
   specularMap = "assets/textures/props/spider_egg_ground_spec.tga",
   normalMap = "assets/textures/props/spider_egg_ground_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 70,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_stairs",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_stairs_dif.tga",
   specularMap = "assets/textures/env/dungeon_stairs_spec.tga",
   normalMap = "assets/textures/env/dungeon_stairs_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }


defineMaterial{
   name = "deep_dungeon_steel_door",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_steel_door_dif.tga",
   specularMap = "mod_assets/deep_dungeon/textures/deep_dungeon_steel_door_spec.tga",
   normalMap = "assets/textures/env/dungeon_iron_door_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }


defineMaterial{
   name = "deep_dungeon_temple_floor_corpse",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_temple_floor_corpse_dif.tga",
   specularMap = "assets/textures/props/temple_floor_corpse_spec.tga",
   normalMap = "assets/textures/props/temple_floor_corpse_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_torch_holder",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_torch_holder_dif.tga",
   specularMap = "assets/textures/props/dungeon_torch_holder_spec.tga",
   normalMap = "assets/textures/props/dungeon_torch_holder_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_dungeon_wall",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_wall_dif.tga",
   specularMap = "assets/textures/env/brickwall_stone_root_spec.tga",
   normalMap = "assets/textures/env/brickwall_stone_root_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 25,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_wall_dirt",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_wall_dirt_dif.tga",
   specularMap = "assets/textures/props/dungeon_wall_dirt_spec.tga",
   normalMap = "assets/textures/props/dungeon_wall_dirt_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 30,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_wall_ivy",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_wall_ivy_dif.tga",
   specularMap = "assets/textures/props/wall_ivy_spec.tga",
   normalMap = "assets/textures/props/wall_ivy_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = true,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_wall_keyhole",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_wall_keyhole_dif.tga",
   specularMap = "assets/textures/env/dungeon_wall_keyhole_spec.tga",
   normalMap = "assets/textures/env/dungeon_wall_keyhole_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_wall_keyhole_gear",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_wall_keyhole_gear_dif.tga",
   specularMap = "assets/textures/env/wall_keyhole_gear_spec.tga",
   normalMap = "assets/textures/env/wall_keyhole_gear_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 75,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_dungeon_wall_keyhole_golden",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_wall_keyhole_golden_dif.tga",
   specularMap = "assets/textures/env/wall_keyhole_golden_spec.tga",
   normalMap = "assets/textures/env/wall_keyhole_golden_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_wall_keyhole_ornament",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_ornament_lock_dif.tga",
   specularMap = "assets/textures/env/ornament_lock_spec.tga",
   normalMap = "assets/textures/env/ornament_lock_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 90,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_dungeon_wall_keyhole_prison",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_wall_keyhole_prison_dif.tga",
   specularMap = "assets/textures/env/wall_keyhole_prison_spec.tga",
   normalMap = "assets/textures/env/wall_keyhole_prison_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }

defineMaterial{
   name = "deep_dungeon_wall_keyhole_round",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_wall_keyhole_round_dif.tga",
   specularMap = "assets/textures/env/wall_keyhole_round_spec.tga",
   normalMap = "assets/textures/env/wall_keyhole_round_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 100,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_wall_text",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_wall_text_dif.tga",
   specularMap = "assets/textures/env/dungeon_wall_text_spec.tga",
   normalMap = "assets/textures/env/dungeon_wall_text_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 25,
   depthBias = 0,
   }



defineMaterial{
   name = "deep_dungeon_wood_barrel",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_wood_barrel_dif.tga",
   specularMap = "assets/textures/props/wood_barrel_spec.tga",
   normalMap = "assets/textures/props/wood_barrel_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 90,
   depthBias = 0,
   }





defineMaterial{
   name = "deep_dungeon_wood_pole",
   diffuseMap = "mod_assets/deep_dungeon/textures/deep_dungeon_wood_block_dif.tga",
   specularMap = "assets/textures/props/wood_block_spec.tga",
   normalMap = "assets/textures/props/wood_block_normal.tga",
   doubleSided = false,
   lighting = true,
   alphaTest = false,
   blendMode = "Opaque",
   textureAddressMode = "Wrap",
   glossiness = 40,
   depthBias = 0,
   }
