-- please insert into init.lua: import "mod_assets/grim_vsword/dm_food.lua"
-- Dungeon Master food supplies by germanny

	defineObject{
		name = "dm_cheese",
		class = "Item",
		uiName = "Big Cheese",
		model = "mod_assets/grim_vsword/models/items/dm_cheese.fbx",
		description = "A nutritious large round cheese",
		gfxAtlas = "mod_assets/grim_vsword/textures/gui/germ_icoatlas.tga",
		gfxIndex = 39,
		consumable = true,
		nutritionValue = 550,
		weight = 2.0,
	}

	defineObject{
		name = "dm_cheese_young",
		class = "Item",
		uiName = "Fresh Big Cheese",
		model = "mod_assets/grim_vsword/models/items/dm_cheese_young.fbx",
		description = "A nutritious large fresh round cheese",
		gfxAtlas = "mod_assets/grim_vsword/textures/gui/germ_icoatlas.tga",
		gfxIndex = 40,
		consumable = true,
		nutritionValue = 600,
		weight = 2.1,
	}

	defineObject{
		name = "dm_corn",
		class = "Item",
		uiName = "Corn",
		model = "mod_assets/grim_vsword/models/items/dm_corn.fbx",
		description = "Durable dry Corn",
		gfxAtlas = "mod_assets/grim_vsword/textures/gui/germ_icoatlas.tga",
		gfxIndex = 41,
		consumable = true,
		nutritionValue = 200,
		weight = 0.3,
	}

	defineObject{
		name = "dm_bread",
		class = "Item",
		uiName = "Baked Bread",
		model = "mod_assets/grim_vsword/models/items/dm_bread.fbx",
		description = "Fine baked Bread",
		gfxAtlas = "mod_assets/grim_vsword/textures/gui/germ_icoatlas.tga",
		gfxIndex = 42,
		consumable = true,
		nutritionValue = 400,
		weight = 1.0,
	}

defineMaterial{
	name = "dm_cheese",
	diffuseMap = "mod_assets/grim_vsword/textures/items/dm_cheese_dif.tga",
 	specularMap = "mod_assets/grim_vsword/textures/items/dm_cheese_spec.tga",
	normalMap = "mod_assets/grim_vsword/textures/items/dm_cheese_normal.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 30,
	depthBias = 0,
}

defineMaterial{
	name = "dm_cheese_young",
	diffuseMap = "mod_assets/grim_vsword/textures/items/dm_cheese_young_dif.tga",
 	specularMap = "mod_assets/grim_vsword/textures/items/dm_cheese_young_spec.tga",
	normalMap = "mod_assets/grim_vsword/textures/items/dm_cheese_young_normal.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 40,
	depthBias = 0,
}

defineMaterial{
	name = "dm_corn",
	diffuseMap = "mod_assets/grim_vsword/textures/items/dm_corn_dif.tga",
 	specularMap = "mod_assets/grim_vsword/textures/items/dm_corn_spec.tga",
	normalMap = "mod_assets/grim_vsword/textures/items/dm_corn_normal.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 40,
	depthBias = 0,
}

defineMaterial{
	name = "dm_bread",
	diffuseMap = "mod_assets/grim_vsword/textures/items/dm_bread_dif.tga",
 	specularMap = "mod_assets/grim_vsword/textures/items/dm_bread_spec.tga",
	normalMap = "mod_assets/grim_vsword/textures/items/dm_bread_normal.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 30,
	depthBias = 0,
}