-- please insert into init.lua: import "mod_assets/grim_vsword/dm_weapons.lua"
-- DM/CSB Weapons by germanny

	defineObject{
		name = "dm_hardcleave",
		class = "Item",
		uiName = "Runed Cleaver",
		model = "mod_assets/grim_vsword/models/items/dm_hardcleave.fbx",
		description = "Long double bladed cleaver covered with mystic runes.",
		skill = "axes",
		gfxAtlas = "mod_assets/grim_vsword/textures/gui/germ_icoatlas.tga",
		gfxIndex = 68,
		attackPower = 38,
		accuracy = 2,
		coolDownTime = 5,
		attackMethod = "meleeAttack",
		attackSwipe = "horizontal",
		attackSound = "swipe_heavy",
		impactSound = "impact_blunt",
		reachWeapon = true,
		weight = 7.0,
	}

	defineObject{
		name = "dm_axe",
		class = "Item",
		uiName = "Double Axe",
		model = "mod_assets/grim_vsword/models/items/dm_axe.fbx",
		description = "Long double bladed Axe",
		skill = "axes",
		requiredLevel = 0,
		gfxAtlas = "mod_assets/grim_vsword/textures/gui/germ_icoatlas.tga",
		gfxIndex = 67,
		attackPower = 28,
		accuracy = 1,
		coolDownTime = 5.5,
		attackMethod = "meleeAttack",
		attackSwipe = "horizontal",
		attackSound = "swipe_heavy",
		impactSound = "impact_blunt",
		reachWeapon = true,
		weight = 7.5,
	}

defineMaterial{
	name = "dm_hardcleave",
	diffuseMap = "mod_assets/grim_vsword/textures/items/dm_hardcleave_dif.tga",
	specularMap = "mod_assets/grim_vsword/textures/items/dm_axe_spec.tga",
	normalMap = "mod_assets/grim_vsword/textures/items/dm_axe_normal.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 70,
	depthBias = 0,
}

defineMaterial{
	name = "dm_axe",
	diffuseMap = "mod_assets/grim_vsword/textures/items/dm_axe_dif.tga",
	specularMap = "mod_assets/grim_vsword/textures/items/dm_axe_spec.tga",
	normalMap = "mod_assets/grim_vsword/textures/items/dm_axe_normal.tga",
	doubleSided = false,
	lighting = true,
	alphaTest = false,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 70,
	depthBias = 0,
}
