defineParticleSystem{
	name = "wisp_of_light",
	emitters = {
		-- fog
		{
			emissionRate = 5,
			emissionTime = 0,
			maxParticles = 25,
			boxMin = {-0.25, 0.75,-0.25},
			boxMax = { 0.25, 1.25, 0.25},
			sprayAngle = {0,360},
			--velocity = {0.1,0.2},
			objectSpace = true,
			texture = "assets/textures/particles/fog.tga",
			lifetime = {1000000, 1000000},
			--lifetime = {3,3},
			color0 = {0.14, 0.352941, 0.803922},
			opacity = 1,
			fadeIn = 0.2,
			fadeOut = 2.2,
			size = {0.4, 0.7},
			--size = {0.5, 0.8},
			gravity = {0,0,0},
			--airResistance = 0.1,
			airResistance = 0.9,
			rotationSpeed = 3,
			blendMode = "Additive",
		},
		-- glow
		{
			spawnBurst = true,
			emissionRate = 1,
			emissionTime = 0,
			maxParticles = 1,
			boxMin = {0,1,0.0},
			boxMax = {0,1,0.0},
			sprayAngle = {0,30},
			velocity = {0,0},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {1000000, 1000000},
			colorAnimation = false,
			color0 = {0.5,0.5,0.75},
			--color0 = {0.75,0.75,0.75},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.1,
			size = {1.0, 1.0},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 2,
			blendMode = "Additive",
			objectSpace = true,
		}
	},
}
